"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Scheduler_1 = __importDefault(require("../src/Scheduler"));
const Task_1 = require("../src/Scheduler/Task");
/**
 * Scheduler provider
 */
class SchedulerProvider {
    constructor(app) {
        this.app = app;
    }
    async register() {
        this.app.container.singleton('Adonis/Addons/Scheduler', () => {
            const app = this.app.container.use('Adonis/Core/Application');
            const logger = this.app.container.use('Adonis/Core/Logger');
            return new Scheduler_1.default(app.appRoot, this.app.container, logger);
        });
        this.app.container.bind('Adonis/Addons/Scheduler/Task', () => Task_1.BaseTask);
    }
    async boot() { }
}
exports.default = SchedulerProvider;
SchedulerProvider.needsApplication = true;
